For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update Thing State

This guide will show you how you can change your Thing state via API.

Change a Thing state

PUT https://console.monogoto.io/thing/ThingId_ICCID_{ICCID}/state/

Path Parameters

Name
Type
Description

ICCID*

String

The ICCID of your SIM

Headers

Name
Type
Description

TOKEN_HERE*

String

Your authentication token

Request Body

Name
Type
Description

THING_STATE*

String

Possible variables: ACTIVE / SUSPENDED

{
    // Response
}
{
    // Response
}
{
    // Response
}
{
    // Response
}

Example using cURL:

curl -X PUT \
    --url "https://console.monogoto.io/thing/ThingId_ICCID_{ICCID}/state/" \
    -H "accept: application/json" \
    -H "Content-Type: application/json" \
    -H "Authorization: Bearer {TOKEN_HERE}" \
    -d "{ \"state\": \"{THING_STATE}\"}"

Expected response:

Please note that the above shown command needs to be replaced with information:

  • {ICCID} - replace with your Monogoto thing ICCID number

  • {TOKEN_HERE} - replace with your token

  • {THING_STATE} - replace with the state you wish your Thing to use:

    • ACTIVE - SIM card is activated and can be used

    • SUSPENDED - SIM card is suspended. Can not be used until status is changed to ACTIVE

Example of request setting Thing state to SUSPENDED:

Last updated

Was this helpful?